import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getManagePoultriesService = createAsyncThunk(
  "GET_MANAGE_POULTRIES_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("total_poultry", {
      params: { page: d.page, page_size: d.pageSize },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
